<div class="dashboard-page flex flex-col flex-auto min-w-0">
    <form [formGroup]="contactForm">
        <div class="flex justify-between">
            <div class="text-2xl font-cairo font-bold tracking-tight leading-8 mb-8">
                Create a Form
                <!-- Breadcrumbs -->
                <div class="flex flex-wrap items-center font-medium text-lg ml-px mt-1">
                    <div>
                        <a class="whitespace-nowrap text-primary-500 font-semibold ml-px" [routerLink]="'/form'">All Forms List</a>
                    </div>
                    <div class="flex items-center ml-2 whitespace-nowrap">
                        <mat-icon class="icon-size-5 text-secondary" [svgIcon]="'heroicons_solid:chevron-right'"></mat-icon>
                        <a class="ml-1">Create New Form</a>
                    </div>
                </div>
            </div>
            <button  type="button" class="inline-flex" mat-stroked-button [color]="'primary'" (click)="previewForm();">
                <mat-icon class="icon-size-5 ml-8 mr-2" [svgIcon]="'mat_outline:preview'"></mat-icon>
                <span class="mr-8">Preview Form</span>
            </button>

        </div>
        <div class="relative srm-bg shadow border rounded-lg py-6 px-4">
            <div class="heading-area relative">
                <!-- Logo Section -->
                <div class="relative flex flex-auto items-end max-w-xs mb-6">
                    <!-- Logo -->
                    <div class="flex items-center justify-center w-full h-16 overflow-hidden">
                        <img class="object-none w-full h-full" [src]="'assets/images/logo/srm-logo.png'">
                        <!--                    <div class="flex items-center justify-center w-full h-full rounded overflow-hidden uppercase text-sm font-bold leading-none bg-gray-200 text-gray-600 dark:bg-gray-700 dark:text-gray-200">-->
                        <!--                        Logo Image-->
                        <!--                    </div>-->
                    </div>
                    <div class="w-full absolute inset-0">
                        <!-- logo image -->
                        <div class="flex flex-auto items-end">
                            <div class="relative flex items-center justify-center w-full h-16 overflow-hidden ring-1 ring-bg-card">
                                <!-- Upload / Remove uploadImage -->
                                <div class="absolute inset-0 bg-black bg-opacity-50 z-10"></div>
                                <div class="absolute inset-0 flex items-center justify-center z-20">
                                    <div>
                                        <input
                                            id="image-file-input2"
                                            class="absolute h-0 w-0 opacity-0 invisible pointer-events-none"
                                            type="file"
                                            [multiple]="false"
                                            [accept]="'image/jpeg, image/png'"
                                            (change)="uploadImage(imageFileInput.files)"
                                            #imageFileInput>
                                        <label class="flex items-center justify-center w-10 h-10 rounded-full cursor-pointer hover:bg-hover" for="image-file-input2" matRipple>
                                            <mat-icon class="text-white" [svgIcon]="'heroicons_outline:camera'"></mat-icon>
                                        </label>
                                    </div>
                                    <div>
                                        <button mat-icon-button (click)="removeImage()">
                                            <mat-icon class="text-white" [svgIcon]="'heroicons_outline:trash'"></mat-icon>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <h1 class="text-3xl font-roboto font-semibold text-capitalize text-center w-1/2 m-auto relative">
                    <textarea class="textarea-inline-control text-center pr-8" cdkTextareaAutosize
                              [value]="'Supplier Performance Review'">
                    </textarea>
                    <mat-icon matSuffix color="primary" class="icon-size-5 mr-2 absolute top-3 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                </h1>
                <p class="text-base font-roboto font-normal text-capitalize text-center w-1/2 m-auto mb-4 relative">
                    <textarea class="textarea-inline-control text-center pr-8" cdkTextareaAutosize
                              [value]="'This is a standard annual supplier performance review form'">
                    </textarea>
                    <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                </p>

                <!-- Banner Section -->
                <div class="relative flex flex-auto items-end mb-6">
                    <!-- Banner -->
                    <div class="flex items-center justify-center w-full h-32 overflow-hidden">
                        <img class="object-cover w-full h-full" [src]="'assets/images/bg/bg.png'">
<!--                        <img class="object-cover w-full h-full" [src]="contact.image">-->
                        <!--                    <div class="flex items-center justify-center w-full h-full rounded overflow-hidden uppercase text-sm font-bold leading-none bg-gray-200 text-gray-600 dark:bg-gray-700 dark:text-gray-200">-->
                        <!--                        Banner Image-->
                        <!--                    </div>-->
                    </div>
                    <div class="w-full absolute inset-0">
                        <!-- Banner image -->
                        <div class="flex flex-auto items-end">
                            <div class="relative flex items-center justify-center w-full h-32 overflow-hidden ring-1 ring-bg-card">
                                <!-- Upload / Remove image -->
                                <div class="absolute inset-0 bg-black bg-opacity-50 z-10"></div>
                                <div class="absolute inset-0 flex items-center justify-center z-20">
                                    <div>
                                        <input
                                            id="image-file-input"
                                            class="absolute h-0 w-0 opacity-0 invisible pointer-events-none"
                                            type="file"
                                            [multiple]="false"
                                            [accept]="'image/jpeg, image/png'"
                                            (change)="uploadImage(imageFileInput.files)"
                                            #imageFileInput>
                                        <label class="flex items-center justify-center w-10 h-10 rounded-full cursor-pointer hover:bg-hover" for="image-file-input" matRipple>
                                            <mat-icon class="text-white" [svgIcon]="'heroicons_outline:camera'"></mat-icon>
                                        </label>
                                    </div>
                                    <div>
                                        <button mat-icon-button (click)="removeImage()">
                                            <mat-icon class="text-white" [svgIcon]="'heroicons_outline:trash'"></mat-icon>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="section-blocks flex flex-col">
                <div class="flex justify-end ml-auto py-2 px-1">
                    <button class="sm:inline-flex small-btn" mat-button mat-stroked-button [color]="'primary'" (click)="$event.preventDefault();">
                        <mat-icon class="icon-size-5 ml-2 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                        <span class="mr-2">Add Section</span>
                    </button>
                </div>

                <mat-accordion class="custom-accordian">
                    <mat-expansion-panel class="section-block card-style mb-1 p-0" (opened)="panelOpenState = true" (closed)="panelOpenState = false" hideToggle="true">
                        <mat-expansion-panel-header class="h-full pt-4 pb-2">
                            <div class="flex flex-col w-full">
                                <mat-panel-title class="text-xl flex justify-between items-center">
                                    <p class="font-medium text-lg w-1/2 p-1 flex justify-between relative">
                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                  [value]="'Basic Questions'" (click)="$event.stopPropagation();" (keydown.Space)="$event.stopPropagation()">
                                        </textarea>
                                        <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-3 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                    </p>
                                    <div class="flex justify-between items-end">
                                        <button class="sm:inline-flex height-32 small-btn" mat-button [color]="'primary'" (click)="$event.preventDefault();">
                                            <mat-icon class="icon-size-5 ml-2 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                            <span class="mr-2">Add Question</span>
                                        </button>
                                        <div class="flex items-center ml-4">
                                            <mat-icon color="primary" *ngIf="!panelOpenState" svgIcon="heroicons_outline:arrow-circle-down"></mat-icon>
                                            <mat-icon color="primary" *ngIf="panelOpenState" svgIcon="heroicons_outline:arrow-circle-up"></mat-icon>
                                        </div>
                                    </div>
                                </mat-panel-title>
                            </div>
                        </mat-expansion-panel-header>
                        <div class="bg-white shadow-sm">
                            <div class="overflow-auto">
                                <div class="questions">
                                    <div class="question-wrapper flex py-3 px-5 border-t divide-solid divide-x divide-gray-300">
                                        <div class="question-section w-full pr-8">
                                            <div class="flex flex-col">
                                                <div class="question-item">
                                                    <label class="builder-only-label pl-2">Question</label>
                                                    <p class="text-base font-roboto font-medium w-full mb-4 flex justify-between relative">
                                                <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                          [value]="'Quality of parts/products/Material upon delivery'">
                                                </textarea>
                                                        <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                    </p>
                                                </div>
                                                <div class="answer-item flex flex-col">
                                                    <div class="flex">
                                                        <div class="answer-type flex flex-col w-full">
                                                            <label class="builder-only-label pl-2 pb-2">Answers type</label>
                                                            <mat-form-field class="pl-2">
                                                                <mat-select [value]="1">
                                                                    <mat-option [value]="1">Single Choice</mat-option>
                                                                    <mat-option [value]="2">Multiple Choice</mat-option>
                                                                </mat-select>
                                                            </mat-form-field>
                                                        </div>
                                                        <div class="display-type flex flex-col w-full">
                                                            <label class="builder-only-label pl-2 pb-2">Display Type</label>
                                                            <mat-form-field class="pl-2">
                                                                <mat-select [value]="1">
                                                                    <mat-option [value]="1">Radio Buttons</mat-option>
                                                                    <mat-option [value]="3">DropDown</mat-option>
                                                                    <mat-option [value]="3">DatePicker</mat-option>
                                                                    <mat-option [value]="3">Attachment</mat-option>
                                                                </mat-select>
                                                            </mat-form-field>
                                                        </div>
                                                    </div>
                                                    <div class="answer-list flex flex-col">
                                                        <div class="flex justify-between items-end">
                                                            <label class="builder-only-label pl-2">Answers List</label>
                                                            <button class="sm:inline-flex height-32 small-btn" mat-button [color]="'primary'">
                                                                <mat-icon class="icon-size-5 ml-2 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                                                <span class="mr-2">Add Answer</span>
                                                            </button>
                                                        </div>

                                                        <div class="answer flex flex-col">
                                                            <p class="text-base font-roboto font-normal w-full flex justify-between relative">
                                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                  [value]="'No Damaged Items'">
                                                        </textarea>
                                                                <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                            </p>
                                                        </div>
                                                        <div class="answer flex flex-col">
                                                            <p class="text-base font-roboto font-normal w-full flex justify-between relative">
                                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                  [value]="'Damaged & Missing Items'">
                                                        </textarea>
                                                                <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <div class="display-type flex flex-col pt-4 w-full">
                                                        <label class="builder-only-label pl-2 pb-2">Default Answer</label>
                                                        <mat-form-field class="pl-2">
                                                            <mat-select [value]="2">
                                                                <mat-option [value]="1">No Damaged Items</mat-option>
                                                                <mat-option [value]="2">Damaged & Missing Items</mat-option>
                                                                <mat-option [value]="3">Good Condition Items</mat-option>
                                                            </mat-select>
                                                        </mat-form-field>
                                                    </div>
                                                </div>
                                                <!--sub question toggle-->
                                                <div class="flex justify-between mt-2">
                                                    <mat-slide-toggle [color]="'primary'" class="mb-3 pl-2 text-default" [checked]="hasSubQuestion" (change)="hasSubQuestion= $event.source.checked">Include Logical Question/s</mat-slide-toggle>
                                                    <button class="sm:inline-flex height-32 small-btn" mat-button [color]="'primary'" *ngIf="hasSubQuestion">
                                                        <mat-icon class="icon-size-5 ml-2 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                                        <span class="mr-2">Add Logical Question</span>
                                                    </button>
                                                </div>
                                                <!--sub questions-->
                                                <div class="pl-11 divide-solid divide-y divide-gray-300" *ngIf="hasSubQuestion">
                                                    <!--sub question item-->
                                                    <div class="flex flex-col py-4">
                                                        <div class="display-type flex flex-col w-full" *ngIf="hasSubQuestion">
                                                            <label class="builder-only-label pl-2 pb-2">When The Answer Is</label>
                                                            <mat-form-field class="pl-2">
                                                                <mat-select [value]="2">
                                                                    <mat-option [value]="1">No Damaged Items</mat-option>
                                                                    <mat-option [value]="2">Damaged & Missing Items</mat-option>
                                                                    <mat-option [value]="3">Good Condition Items</mat-option>
                                                                </mat-select>
                                                            </mat-form-field>
                                                        </div>
                                                        <div class="question-item">
                                                            <label class="builder-only-label pl-2">Sub Question</label>
                                                            <p class="text-base font-roboto font-medium w-full mb-4 flex justify-between relative">
                                                                <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                          [value]="'Accept Returns?'">
                                                                </textarea>
                                                                <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                            </p>
                                                        </div>
                                                        <div class="answer-item flex flex-col">
                                                            <div class="flex">
                                                                <div class="answer-type flex flex-col w-full">
                                                                    <label class="builder-only-label pl-2 pb-2">Answers type</label>
                                                                    <mat-form-field class="pl-2">
                                                                        <mat-select [value]="1">
                                                                            <mat-option [value]="1">Single Choice</mat-option>
                                                                            <mat-option [value]="2">Multiple Choice</mat-option>
                                                                        </mat-select>
                                                                    </mat-form-field>
                                                                </div>
                                                                <div class="display-type flex flex-col w-full">
                                                                    <label class="builder-only-label pl-2 pb-2">Display Type</label>
                                                                    <mat-form-field class="pl-2">
                                                                        <mat-select [value]="2">
                                                                            <mat-option [value]="1">Radio Buttons</mat-option>
                                                                            <mat-option [value]="2">DropDown</mat-option>
                                                                            <mat-option [value]="3">DatePicker</mat-option>
                                                                            <mat-option [value]="4">Attachment</mat-option>
                                                                        </mat-select>
                                                                    </mat-form-field>
                                                                </div>
                                                            </div>
                                                            <div class="answer-list flex flex-col">
                                                                <div class="flex justify-between items-end">
                                                                    <label class="builder-only-label pl-2">Answers List</label>
                                                                    <button class="sm:inline-flex height-32 small-btn" mat-button [color]="'primary'">
                                                                        <mat-icon class="icon-size-5 ml-2 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                                                        <span class="mr-2">Add Answer</span>
                                                                    </button>
                                                                </div>

                                                                <div class="answer flex flex-col">
                                                                    <p class="text-base font-roboto font-normal w-full flex justify-between relative">
                                                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                                  [value]="'Yes, Accept Returns with a Fee'">
                                                                        </textarea>
                                                                        <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                                    </p>
                                                                </div>
                                                                <div class="answer flex flex-col">
                                                                    <p class="text-base font-roboto font-normal w-full flex justify-between relative">
                                                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                                  [value]="'Yes, Accept Returns without a Fee'">
                                                                        </textarea>
                                                                        <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="display-type flex flex-col pt-4 w-full">
                                                                <label class="builder-only-label pl-2 pb-2">Default Answer</label>
                                                                <mat-form-field class="pl-2">
                                                                    <mat-select [value]="1">
                                                                        <mat-option [value]="1">Yes Accept Returns with a Fee</mat-option>
                                                                        <mat-option [value]="2">Yes, Accept Returns without a Fee</mat-option>
                                                                    </mat-select>
                                                                </mat-form-field>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <!--sub question item-->
                                                    <div class="flex flex-col py-4">
                                                        <div class="display-type flex flex-col w-full" *ngIf="hasSubQuestion">
                                                            <label class="builder-only-label pl-2 pb-2">When The Answer Is</label>
                                                            <mat-form-field class="pl-2">
                                                                <mat-select [value]="1">
                                                                    <mat-option [value]="1">No Damaged Items</mat-option>
                                                                    <mat-option [value]="2">Damaged & Missing Items</mat-option>
                                                                    <mat-option [value]="3">Good Condition Items</mat-option>
                                                                </mat-select>
                                                            </mat-form-field>
                                                        </div>
                                                        <div class="question-item">
                                                            <label class="builder-only-label pl-2">Sub Question</label>
                                                            <p class="text-base font-roboto font-medium w-full mb-4 flex justify-between relative">
                                                                <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                          [value]="'Make Full Payment?'">
                                                                </textarea>
                                                                <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                            </p>
                                                        </div>
                                                        <div class="answer-item flex flex-col">
                                                            <div class="flex">
                                                                <div class="answer-type flex flex-col w-full">
                                                                    <label class="builder-only-label pl-2 pb-2">Answers type</label>
                                                                    <mat-form-field class="pl-2">
                                                                        <mat-select [value]="1">
                                                                            <mat-option [value]="1">Single Choice</mat-option>
                                                                            <mat-option [value]="2">Multiple Choice</mat-option>
                                                                        </mat-select>
                                                                    </mat-form-field>
                                                                </div>
                                                                <div class="display-type flex flex-col w-full">
                                                                    <label class="builder-only-label pl-2 pb-2">Display Type</label>
                                                                    <mat-form-field class="pl-2">
                                                                        <mat-select [value]="1">
                                                                            <mat-option [value]="1">Radio Buttons</mat-option>
                                                                            <mat-option [value]="3">DropDown</mat-option>
                                                                            <mat-option [value]="3">DatePicker</mat-option>
                                                                            <mat-option [value]="3">Attachment</mat-option>
                                                                        </mat-select>
                                                                    </mat-form-field>
                                                                </div>
                                                            </div>
                                                            <div class="answer-list flex flex-col">
                                                                <div class="flex justify-between items-end">
                                                                    <label class="builder-only-label pl-2">Answers List</label>
                                                                    <button class="sm:inline-flex height-32 small-btn" mat-button [color]="'primary'">
                                                                        <mat-icon class="icon-size-5 ml-2 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                                                        <span class="mr-2">Add Answer</span>
                                                                    </button>
                                                                </div>

                                                                <div class="answer flex flex-col">
                                                                    <p class="text-base font-roboto font-normal w-full flex justify-between relative">
                                                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                                  [value]="'Yes, Make The Full Payment'">
                                                                        </textarea>
                                                                        <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                                    </p>
                                                                </div>
                                                                <div class="answer flex flex-col">
                                                                    <p class="text-base font-roboto font-normal w-full flex justify-between relative">
                                                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                                  [value]="'No, Make Half Payment'">
                                                                        </textarea>
                                                                        <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="display-type flex flex-col pt-4 w-full">
                                                                <label class="builder-only-label pl-2 pb-2">Default Answer</label>
                                                                <mat-form-field class="pl-2">
                                                                    <mat-select [value]="1">
                                                                        <mat-option [value]="1">Yes, Make The Full Payment</mat-option>
                                                                        <mat-option [value]="2">No, Make Half Payment</mat-option>
                                                                    </mat-select>
                                                                </mat-form-field>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                        <div class="question-configs w-full pl-2">
                                            <label class="builder-only-label pl-2 pb-2">Settings</label>
                                            <div class="flex flex-col pl-4 pt-4">
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default" checked>
                                                    Enable Score
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default" checked>
                                                    Enable Comments
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default">
                                                    Mandatory Question
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default" checked>
                                                    Validation Required
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default">
                                                    Enable Text box for supporting comment
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default">
                                                    Enable Attachment to support the selection
                                                </mat-slide-toggle>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="question-wrapper flex py-3 px-5 border-t divide-solid divide-x divide-gray-300">
                                        <div class="question-section w-full pr-8">
                                            <div class="flex flex-col">
                                                <div class="question-item">
                                                    <label class="builder-only-label pl-2">Question</label>
                                                    <p class="text-base font-roboto font-medium w-full mb-4 flex justify-between relative">
                                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                  [value]="'Select Deadline Date'">
                                                        </textarea>
                                                        <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                    </p>
                                                </div>
                                                <div class="answer-item flex flex-col">
                                                    <div class="flex">
                                                        <div class="answer-type flex flex-col w-full">
                                                            <label class="builder-only-label pl-2 pb-2">Answers type</label>
                                                            <mat-form-field class="pl-2">
                                                                <mat-select [value]="1">
                                                                    <mat-option [value]="1">Single Choice</mat-option>
                                                                    <mat-option [value]="2">Multiple Choice</mat-option>
                                                                </mat-select>
                                                            </mat-form-field>
                                                        </div>
                                                        <div class="display-type flex flex-col w-full">
                                                            <label class="builder-only-label pl-2 pb-2">Display Type</label>
                                                            <mat-form-field class="pl-2">
                                                                <mat-select [value]="3">
                                                                    <mat-option [value]="1">Radio Buttons</mat-option>
                                                                    <mat-option [value]="2">DropDown</mat-option>
                                                                    <mat-option [value]="3">DatePicker</mat-option>
                                                                    <mat-option [value]="4">Attachment</mat-option>
                                                                </mat-select>
                                                            </mat-form-field>
                                                        </div>
                                                    </div>
                                                    <div class="display-type flex flex-col pt-4 w-full">
                                                        <label class="builder-only-label pl-2 pb-2">Default Answer</label>
                                                        <mat-form-field class="pl-2">
                                                            <input matInput [matDatepicker]="picker2" [value]="getDate()">
                                                            <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                                                            <mat-datepicker #picker2></mat-datepicker>
                                                        </mat-form-field>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="question-configs w-full pl-2">
                                            <label class="builder-only-label pl-2 pb-2">Settings</label>
                                            <div class="flex flex-col pl-4 pt-4">
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default" checked>
                                                    Enable Score
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default" checked>
                                                    Enable Comments
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default">
                                                    Mandatory Question
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default" checked>
                                                    Validation Required
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default">
                                                    Enable Text box for supporting comment
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default">
                                                    Enable Attachment to support the selection
                                                </mat-slide-toggle>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </mat-expansion-panel>
                    <mat-expansion-panel class="section-block card-style mb-1 p-0" (opened)="panelOpenState = true" (closed)="panelOpenState = false" hideToggle="true">
                        <mat-expansion-panel-header class="h-full pt-4 pb-2">
                            <div class="flex flex-col w-full">
                                <mat-panel-title class="text-xl flex justify-between items-center">
                                    <p class="font-medium text-lg w-1/2 p-1 flex justify-between relative">
                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                  [value]="'Recommendations'" (click)="$event.stopPropagation();" (keydown.Space)="$event.stopPropagation()">
                                        </textarea>
                                        <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-3 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                    </p>
                                    <div class="flex justify-between items-end">
                                        <button class="sm:inline-flex height-32 small-btn" mat-button [color]="'primary'" (click)="$event.preventDefault();">
                                            <mat-icon class="icon-size-5 ml-2 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                            <span class="mr-2">Add Question</span>
                                        </button>
                                        <div class="flex items-center ml-4">
                                            <mat-icon color="primary" *ngIf="!panelOpenState" svgIcon="heroicons_outline:arrow-circle-down"></mat-icon>
                                            <mat-icon color="primary" *ngIf="panelOpenState" svgIcon="heroicons_outline:arrow-circle-up"></mat-icon>
                                        </div>
                                    </div>
                                </mat-panel-title>
                            </div>
                        </mat-expansion-panel-header>
                        <div class="bg-white shadow-sm">
                            <div class="overflow-auto">
                                <div class="questions">
                                    <div class="question-wrapper flex py-3 px-5 border-t divide-solid divide-x divide-gray-300">
                                        <div class="question-section w-full pr-8">
                                            <div class="flex flex-col">
                                                <div class="question-item">
                                                    <label class="builder-only-label pl-2">Question</label>
                                                    <p class="text-base font-roboto font-medium w-full mb-4 flex justify-between relative">
                                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                  [value]="'Please select the countries of supply from this supplier'">
                                                        </textarea>
                                                        <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                    </p>
                                                </div>
                                                <div class="answer-item flex flex-col">
                                                    <div class="flex">
                                                        <div class="answer-type flex flex-col w-full">
                                                            <label class="builder-only-label pl-2 pb-2">Answers type</label>
                                                            <mat-form-field class="pl-2">
                                                                <mat-select [value]="2">
                                                                    <mat-option [value]="1">Single Choice</mat-option>
                                                                    <mat-option [value]="2">Multiple Choice</mat-option>
                                                                </mat-select>
                                                            </mat-form-field>
                                                        </div>
                                                        <div class="display-type flex flex-col w-full">
                                                            <label class="builder-only-label pl-2 pb-2">Display Type</label>
                                                            <mat-form-field class="pl-2">
                                                                <mat-select [value]="1">
                                                                    <mat-option [value]="1">Checkboxes</mat-option>
                                                                    <mat-option [value]="2">DatePicker</mat-option>
                                                                    <mat-option [value]="3">Attachment</mat-option>
                                                                </mat-select>
                                                            </mat-form-field>
                                                        </div>
                                                    </div>
                                                    <div class="answer-list flex flex-col">
                                                        <div class="flex justify-between items-end">
                                                            <label class="builder-only-label pl-2">Answers List</label>
                                                            <button class="sm:inline-flex height-32 small-btn" mat-button [color]="'primary'">
                                                                <mat-icon class="icon-size-5 ml-2 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                                                <span class="mr-2">Add Answer</span>
                                                            </button>
                                                        </div>

                                                        <div class="answer flex flex-col">
                                                            <p class="text-base font-roboto font-normal w-full flex justify-between relative">
                                                                <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                          [value]="'Kingdom of Saudi Arabia'">
                                                                </textarea>
                                                                <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                            </p>
                                                        </div>
                                                        <div class="answer flex flex-col">
                                                            <p class="text-base font-roboto font-normal w-full flex justify-between relative">
                                                                <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                          [value]="'United Arab Emirates'">
                                                                </textarea>
                                                                <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                            </p>
                                                        </div>
                                                        <div class="answer flex flex-col">
                                                            <p class="text-base font-roboto font-normal w-full flex justify-between relative">
                                                                <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                          [value]="'Kuwait'">
                                                                </textarea>
                                                                <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <div class="display-type flex flex-col pt-4 w-full">
                                                        <label class="builder-only-label pl-2 pb-2">Default Answer</label>
                                                        <mat-form-field class="pl-2">
                                                            <mat-select [value]="1" multiple>
                                                                <mat-option [value]="1">Kingdom of Saudi Arabia</mat-option>
                                                                <mat-option [value]="2">United Arab Emirates</mat-option>
                                                                <mat-option [value]="3">Kuwait</mat-option>
                                                            </mat-select>
                                                        </mat-form-field>
                                                    </div>
                                                </div>
                                                <!--sub question toggle-->
                                                <div class="flex justify-between mt-2">
                                                    <mat-slide-toggle [color]="'primary'" class="mb-3 pl-2 text-default" [checked]="hasSubQuestion" (change)="hasSubQuestion= $event.source.checked">Include Logical Question/s</mat-slide-toggle>
                                                    <button class="sm:inline-flex height-32 small-btn" mat-button [color]="'primary'" *ngIf="hasSubQuestion">
                                                        <mat-icon class="icon-size-5 ml-2 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                                        <span class="mr-2">Add Logical Question</span>
                                                    </button>
                                                </div>
                                                <!--sub questions-->
                                                <div class="pl-11 divide-solid divide-y divide-gray-300" *ngIf="hasSubQuestion">
                                                    <!--sub question item-->
                                                    <div class="flex flex-col py-4">
                                                        <div class="display-type flex flex-col w-full" *ngIf="hasSubQuestion">
                                                            <label class="builder-only-label pl-2 pb-2">When The Answer Is</label>
                                                            <mat-form-field class="pl-2">
                                                                <mat-select [value]="1">
                                                                    <mat-option [value]="1">Kingdom of Saudi Arabia</mat-option>
                                                                    <mat-option [value]="2">United Arab Emirates</mat-option>
                                                                </mat-select>
                                                            </mat-form-field>
                                                        </div>
                                                        <div class="question-item">
                                                            <label class="builder-only-label pl-2">Sub Question</label>
                                                            <p class="text-base font-roboto font-medium w-full mb-4 flex justify-between relative">
                                                                <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                          [value]="'Accept Returns?'">
                                                                </textarea>
                                                                <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                            </p>
                                                        </div>
                                                        <div class="answer-item flex flex-col">
                                                            <div class="flex">
                                                                <div class="answer-type flex flex-col w-full">
                                                                    <label class="builder-only-label pl-2 pb-2">Answers type</label>
                                                                    <mat-form-field class="pl-2">
                                                                        <mat-select [value]="1">
                                                                            <mat-option [value]="1">Single Choice</mat-option>
                                                                            <mat-option [value]="2">Multiple Choice</mat-option>
                                                                        </mat-select>
                                                                    </mat-form-field>
                                                                </div>
                                                                <div class="display-type flex flex-col w-full">
                                                                    <label class="builder-only-label pl-2 pb-2">Display Type</label>
                                                                    <mat-form-field class="pl-2">
                                                                        <mat-select [value]="2">
                                                                            <mat-option [value]="1">Radio Buttons</mat-option>
                                                                            <mat-option [value]="2">DropDown</mat-option>
                                                                            <mat-option [value]="3">DatePicker</mat-option>
                                                                            <mat-option [value]="4">Attachment</mat-option>
                                                                        </mat-select>
                                                                    </mat-form-field>
                                                                </div>
                                                            </div>
                                                            <div class="answer-list flex flex-col">
                                                                <div class="flex justify-between items-end">
                                                                    <label class="builder-only-label pl-2">Answers List</label>
                                                                    <button class="sm:inline-flex height-32 small-btn" mat-button [color]="'primary'">
                                                                        <mat-icon class="icon-size-5 ml-2 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                                                        <span class="mr-2">Add Answer</span>
                                                                    </button>
                                                                </div>

                                                                <div class="answer flex flex-col">
                                                                    <p class="text-base font-roboto font-normal w-full flex justify-between relative">
                                                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                                  [value]="'With 10% Tax'">
                                                                        </textarea>
                                                                        <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                                    </p>
                                                                </div>
                                                                <div class="answer flex flex-col">
                                                                    <p class="text-base font-roboto font-normal w-full flex justify-between relative">
                                                                        <textarea class="textarea-inline-control pr-8" cdkTextareaAutosize
                                                                                  [value]="'Tax Free'">
                                                                        </textarea>
                                                                        <mat-icon matSuffix color="primary" class="icon-size-4 mr-2 absolute top-2 right-1 pointer-events-none" [svgIcon]="'mat_solid:edit'"></mat-icon>
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="display-type flex flex-col pt-4 w-full">
                                                                <label class="builder-only-label pl-2 pb-2">Default Answer</label>
                                                                <mat-form-field class="pl-2">
                                                                    <mat-select [value]="1">
                                                                        <mat-option [value]="1">With 10% Tax</mat-option>
                                                                        <mat-option [value]="2">Tax Free</mat-option>
                                                                    </mat-select>
                                                                </mat-form-field>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="question-configs w-full pl-2">
                                            <label class="builder-only-label pl-2 pb-2">Settings</label>
                                            <div class="flex flex-col pl-4 pt-4">
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default">
                                                    Enable Score
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default">
                                                    Enable Comments
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default">
                                                    Mandatory Question
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default" checked>
                                                    Validation Required
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default">
                                                    Enable Text box for supporting comment
                                                </mat-slide-toggle>
                                                <mat-slide-toggle [color]="'primary'" class="mb-3 text-default">
                                                    Enable Attachment to support the selection
                                                </mat-slide-toggle>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </mat-expansion-panel>
                </mat-accordion>
            </div>

            <div class="flex justify-between border rounded shadow bg-white mt-8 mb-4 p-8 divide-solid divide-x divide-gray-300">
                <div class="block flex flex-col px-6 my-3 items-center justify-center text-center w-full">
                    <h3 class="text-base font-medium leading-none text-secondary">Creator Name</h3>
                    <p class="text-2xl font-semibold mt-2 leading-none font-roboto font-medium">Buddika Abeyratne</p>
                </div>
                <div class="block flex flex-col px-6 my-3 items-center justify-center text-center w-full">
                    <h3 class="text-base font-medium leading-none text-secondary">Status</h3>
                    <p class="text-2xl font-semibold mt-2 leading-none font-roboto font-medium">Draft</p>
                </div>
                <div class="block flex flex-col px-6 my-3 items-center justify-center text-center w-full">
                    <h3 class="text-base font-medium leading-none text-secondary">Form ID</h3>
                    <p class="text-2xl font-semibold mt-2 leading-none font-roboto font-medium">FID-23986</p>
                </div>
                <div class="block flex flex-col px-6 my-3 items-center justify-center text-center w-full">
                    <h3 class="text-base font-medium leading-none text-secondary">Creation Date</h3>
                    <p class="text-2xl font-semibold mt-2 leading-none font-roboto font-medium">23/12/2021</p>
                </div>
            </div>

            <div class="flex justify-end ml-auto py-6 px-1">
                <button class="sm:inline-flex mr-4" mat-button [color]="'primary'">
                    <span class="mx-8">Cancel</span>
                </button>
                <button class="sm:inline-flex mr-4" mat-stroked-button [color]="'primary'">
                    <span class="mx-8">Save as Draft</span>
                </button>
                <button class="sm:inline-flex" mat-raised-button [color]="'primary'">
                    <span class="mx-8">Send For Approval</span>
                </button>
            </div>
        </div>
    </form>
</div>
